List connections
curl --request GET \
--url https://guidinghand.ai/v1/connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "connection",
"id": "tsec_8Zp2kQ7wLm4x",
"name": "Notion",
"connector": "<string>",
"url": "<string>",
"kind": "oauth",
"status": "connected",
"error": "<string>",
"connected_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"used_by": [
{
"agent_id": "<string>",
"slug": "<string>",
"name": "<string>",
"server": "<string>",
"draft": true
}
],
"deleted": true
}
],
"has_more": true
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}Agent tools
List connections
The org’s connections: services it signed in to (OAuth or headers) that its agents can use, with the agents that use each. A connection’s id is the secret_id an agent’s MCP server keeps in auth. Sign-ins started and never finished aren’t listed. Needs the admin role or an API key.
GET
/
v1
/
connections
List connections
curl --request GET \
--url https://guidinghand.ai/v1/connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "connection",
"id": "tsec_8Zp2kQ7wLm4x",
"name": "Notion",
"connector": "<string>",
"url": "<string>",
"kind": "oauth",
"status": "connected",
"error": "<string>",
"connected_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"used_by": [
{
"agent_id": "<string>",
"slug": "<string>",
"name": "<string>",
"server": "<string>",
"draft": true
}
],
"deleted": true
}
],
"has_more": true
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}